Bug 495021 - Review Request: python-posix_ipc - POSIX IPC primitives for Python
Review Request: python-posix_ipc - POSIX IPC primitives for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 02:28 EDT by Ramakrishna Reddy
Modified: 2014-04-07 10:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 04:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ramakrishna Reddy 2009-04-09 02:28:08 EDT
Spec URL: http://ramakrishnareddy.info/fedora/python-posix_ipc.spec
SRPM URL: http://ramakrishnareddy.info/fedora/python-posix_ipc-0.5.3-1.fc10.src.rpm
Description: 
posix_ipc is a Python module (written in C) that permits creation and
manipulation of POSIX inter-process semaphores, shared memory and message
queues on platforms supporting the POSIX Realtime Extensions, POSIX 1003.1b-1993.
Comment 1 Parag AN(पराग) 2009-04-15 01:47:53 EDT
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1299556
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
ab3699b185e7e10918b21753e8b9c20b  posix_ipc-0.5.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package python-posix_ipc-0.5.3-1.fc11.i586 =>
Provides: posix_ipc.so
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libpthread.so.0 libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1) libpthread.so.0(GLIBC_2.1.1) libpthread.so.0(GLIBC_2.2) libpython2.6.so.1.0 librt.so.1 librt.so.1(GLIBC_2.2) librt.so.1(GLIBC_2.3.4) librt.so.1(GLIBC_2.7) python(abi) = 2.6 rtld(GNU_HASH)


Suggestions:
1) remove unnecessary comments
2) remove sitelib macro line in top of SPEC.
3) good to add directories demo and demo2 to %doc
4) License should be GPLv3+

APPROVED.
Comment 2 Ramakrishna Reddy 2009-04-17 03:44:37 EDT
New Package CVS Request
=======================
Package Name: python-posix_ipc 
Short Description: POSIX IPC primitives for Python
Owners: ramkrsna
Branches: F-10 F-11 
InitialCC:
Comment 3 Kevin Fenzi 2009-04-17 17:37:08 EDT
cvs done.
Comment 4 Pádraig Brady 2014-04-07 08:14:38 EDT
Package Change Request
======================
Package Name: python-posix_ipc
New Branches: el6 epel7
Owners: ramkrsna pbrady
Comment 5 Gwyn Ciesla 2014-04-07 10:43:37 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.